%Esercizio 2
%Scrivere una function con input n (reale positivo
%minore di 15) e output y_v che plotti la superficie
%f(x,y) = (x - y) sin(x^2 + y^2)
%nell?intervallo [-n,n]x[-n,n] utilizzando i comandi
%meshgrid e surf.

function [y_v] = super(n)
%Controllo se il parametro n dato in input soddisfa le richieste
if (n>0) && (n<15)
    %Se le soddisfa:
    
    %Calcolo il vettore delle x
    x = [-n:0.025:n];
    
    %Calcolo il vettore delle y
    y = [-n:0.025:n];
    
    %Costruisco la griglia di campionamento con
    %il comando meshgrid
    [X Y]=meshgrid(x,y);
    
    %Valuto la funzione f in X e Y
    Z = (X-Y).*sin(X.^2+Y.^2);
    
    %Plotto la superficie Z utilizzando il comando surf
    surf(X,Y,Z)
    
    %Do un valore fittizio a y_v
    y_v = NaN;

else
    %Se la condizione non  soddisfatta stampo un messaggio di errore
    disp('n deve essere >0 e < 15')
    
    %Do un valore fittizio a y_v
    y_v = NaN;
end
end