%Esercizio 1
%Creare un m-file funzione di n e k (interi positivi,
%maggiori di zero) che
%   - nell intervallo [-n,n] disegni la parabola
%       y = kx^2+2k
%   - abbia come output il vertice della parabola

function [y_v] = disegna(n, k)
%Controllo se i numeri dati in input sono positivi
if (k>0) && (n>0)
    
    %Se k e n soddisfano le richieste 
    %Definisco il vettore delle ascisse
    x = [-n:0.01:n];
   
    %Definisco il vettore delle ordinate
    %tale che y = kx^2+2k
    y = k * x.^2 +2 * k;
    
    %Plotto la parabola
    plot(x,y)
    %Uso la funzione min, in m metto il valore minimo
    %assunto dalla funzione mentre in ind metto il numero
    %dell'entrata in cui  contenuto m
    [m, ind] = min(y);
    
    %Plotto il minimo
    hold on
    y_v = [x(ind) m];
    plot(x(ind),m,'or')
    hold off
else
    %Se k e n non soddisfano le richieste stampo
    %un messaggio di errore
    disp('k e n devono essere positivi')
    
    %Do a y_v un valore fittizio
    y_v = NaN;
end
end